Đến nội dung


Hình ảnh
- - - - -

Lisp ghi cao độ thiết kế cọc trên bình đồ.


  • Please log in to reply
17 replies to this topic

#1 quoccuong1201

quoccuong1201

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 May 2010 - 12:20 PM

Mình thiết kế tuyến, nhưng bên chủ đầu tư bắt là phải ghi cao độ thiết kế của mỗi cọc lên trên bình đồ. Cao độ thiết kế gồm: cao độ tim, cao độ mép đường, cao độ mép lề...(và dải phân cách nếu có).
Bạn nào có thì post lên dùm!
Cảm ơn nhiều!!!
  • 0

#2 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 09 May 2010 - 12:36 PM

Bạn thể hiện cách biểu diễn trên mặt bằng lên để mọi người biết mà viết chứ. Nói thế khó hiểu hết yêu cầu lắm.
  • 0
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#3 quoccuong1201

quoccuong1201

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 May 2010 - 08:50 AM

Bạn thể hiện cách biểu diễn trên mặt bằng lên để mọi người biết mà viết chứ. Nói thế khó hiểu hết yêu cầu lắm.

Mình gởi file nova (2005) lên luôn.
http://www.cadviet.c...es/2/file12.rar
+File 1: từ cọc 0 đến cọc 10 mình điền cao độ thiết kế (CDTK) của trắc ngang thiết kế lên bình đồ (điền thủ công bằng tay)
Mình muốn nhờ các bạn viết lisp điền được CDTK của tất cả các cọc lên bình đồ
+File 2: file này mình điền cao độ tự nhiên (CDTN) của trắc ngang lên bình đồ
Cái này mình dùng lisp.Mình gởi lisp cho các bạn tham khảo luôn

(defun c:ghi ()
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(setq chu (getreal "\nChieu cao chu <2.0>:"))
(if (= chu nul) (setq chu 2.0))
(setq LOP (tblsearch "LAYER" "Caodo TN"))
(if (= LOP nil)
(command "layer" "n" "CaoDoTN" "c" "2" "CaoDo TN" "")
)
(setvar "clayer" "CaodoTN")
(command "UNDO" "BE")
(setq ss (ssget (list (cons 0 "line") (cons 8 "ENTCOC"))))
(setq i 0)
(repeat (sslength ss)
(setq ent (entget (ssname ss i) (list "TDN")))
(setq P1 (cdr (assoc 10 ent))
P2 (cdr (assoc 11 ent)))
(setq Pm (list (/ (+ (car P1) (car P2)) 2.0)
(/ (+ (cadr P1) (cadr P2)) 2.0)))
(setq goc (angle P1 P2))
(setq goctext (angtos (+ goc (/ pi 2)) 0 4))
(setq sohieu (assoc -3 ent))
(if (/= sohieu nil)
(progn
(setq solieu (cdr (last sohieu)))
(setq len (/ (- (length solieu) 29) 6))
(setq j 29)
(repeat len
(setq cdo (cdr (nth j solieu)))
(setq KC (cdr (nth (+ j 1) solieu)))
(setq P (polar Pm goc KC))
(command "text" "MC" P chu goctext (zero2 (rtos cdo 2 2)))
(setq j (+ j 6))
)
)
)
(setq i (+ i 1))
)
(command "UNDO" "END")
(setvar "osmode" 191)
)
  • 0

#4 sam8xd

sam8xd

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 12 May 2010 - 08:50 AM

cái này khó lắm, vì số liệu thiết kế trắc ngang nó chỉ không lưu vào đối tượng nào cả mà chỉ thể hiện trên mcn. Số liệu tự nhiên nó lưu sẵn trong entcoc rồi nên lấy ra cũng dễ.
  • 0

#5 quoccuong1201

quoccuong1201

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 May 2010 - 02:41 PM

Sao không thấy cao thủ bàn về vấn đề này nhỉ!
Nếu vấn đề này được giải quyết thì có lợi cho việc nội suy CDTK của hố ga trong đường cong có siêu cao nữa.
Mong các cao thủ ra tay giải quyết vấn đề này.
Thanks!!!
  • 0

#6 tieuacquy

tieuacquy

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 January 2011 - 10:05 AM

mọi ng ơi...ai cso bình đồ hay bản đồ địa hình hay bình đồ của quận Đống Đa hay của Hà Nội cũng dc cho mình xin với...mình đnag rất cần để làm đồ án tốt nghiệp.......nếu có gởi qua mail hoa_tieuacquy@yahoo.com cho mình với.........thank nhiều nha..^^
  • 0

#7 kekegt1

kekegt1

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 August 2011 - 02:51 PM

Cái ông CĐT nào mà ác thế, ghi lên bình đồ làm gì thế ko biết. Đúng là quá chán cho cách thức quản lý này.
Về yêu cầu của bạn thì việc điền cao độ thiết kế tại tim tuyên lên bình đồ thì đơn giản chứ còn việc điền cả các vị trí khác trên bình đồ thì rất khó (khó chứ không phải không làm được)

Nhờ bác chỉ dùm cách điền CĐTK tại tim lên bình đồ dùm em với. Thank nhiều
  • 0

#8 aliosa

aliosa

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 16 August 2011 - 12:10 PM

Cái ông CĐT nào mà ác thế, ghi lên bình đồ làm gì thế ko biết. Đúng là quá chán cho cách thức quản lý này.
Về yêu cầu của bạn thì việc điền cao độ thiết kế tại tim tuyên lên bình đồ thì đơn giản chứ còn việc điền cả các vị trí khác trên bình đồ thì rất khó (khó chứ không phải không làm được)


Chắc không phải do CĐT ác đâu mà có lẽ do chủ nhân muốn đưa cao độ thiết kế lên để vẽ mặt bằng thiết kế thôi.
  • 0

#9 gasmanc

gasmanc

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 16 September 2011 - 12:50 AM

Mình gởi file nova (2005) lên luôn.
http://www.cadviet.c...es/2/file12.rar
+File 1: từ cọc 0 đến cọc 10 mình điền cao độ thiết kế (CDTK) của trắc ngang thiết kế lên bình đồ (điền thủ công bằng tay)
Mình muốn nhờ các bạn viết lisp điền được CDTK của tất cả các cọc lên bình đồ
+File 2: file này mình điền cao độ tự nhiên (CDTN) của trắc ngang lên bình đồ
Cái này mình dùng lisp.Mình gởi lisp cho các bạn tham khảo luôn

(defun c:ghi ()
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(setq chu (getreal "\nChieu cao chu <2.0>:"))
(if (= chu nul) (setq chu 2.0))
(setq LOP (tblsearch "LAYER" "Caodo TN"))
(if (= LOP nil)
(command "layer" "n" "CaoDoTN" "c" "2" "CaoDo TN" "")
)
(setvar "clayer" "CaodoTN")
(command "UNDO" "BE")
(setq ss (ssget (list (cons 0 "line") (cons 8 "ENTCOC"))))
(setq i 0)
(repeat (sslength ss)
(setq ent (entget (ssname ss i) (list "TDN")))
(setq P1 (cdr (assoc 10 ent))
P2 (cdr (assoc 11 ent)))
(setq Pm (list (/ (+ (car P1) (car P2)) 2.0)
(/ (+ (cadr P1) (cadr P2)) 2.0)))
(setq goc (angle P1 P2))
(setq goctext (angtos (+ goc (/ pi 2)) 0 4))
(setq sohieu (assoc -3 ent))
(if (/= sohieu nil)
(progn
(setq solieu (cdr (last sohieu)))
(setq len (/ (- (length solieu) 29) 6))
(setq j 29)
(repeat len
(setq cdo (cdr (nth j solieu)))
(setq KC (cdr (nth (+ j 1) solieu)))
(setq P (polar Pm goc KC))
(command "text" "MC" P chu goctext (zero2 (rtos cdo 2 2)))
(setq j (+ j 6))
)
)
)
(setq i (+ i 1))
)
(command "UNDO" "END")
(setvar "osmode" 191)
)




Để điền cao độ thiết kế của lên bình đồ thì cũng đơn giản. Sử dụng Nova thôi, chả cần dùng lisp làm gì.
Đầu tiên dùng lênh CDtext để chọn lần lượt các text cao độ thiết kế trên trắc dọc. lần lượt từng cọc một ta được 1 file dạng *txt.
bước 2 là mở file số liệu của tuyến ra, thay thế cao độ thiên nhiên bằng cao độ thiết kế đã được nhặt ra bởi lệnh CDText ở trên
bước 3 là chạy lại 1 phương án tuyến 2, rồi dùng lệnh điền cao độ cọc DCDC
bước 4 là copy sang past with base point vào bình đồ thôi.
  • 0

#10 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 16 September 2011 - 07:36 AM

xem ra bác không hiểu ý của chủ thớt rồi
  • 0

#11 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 23 September 2011 - 10:51 AM

mình cũng đang cần lisp dạng này,không biết có bác nào đã nghỉ ra cách chưa vậy,
  • 0

#12 rubylin86

rubylin86

    biết lệnh copy

  • Members
  • PipPipPip
  • 110 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 24 September 2011 - 10:56 AM

hehe mình có nè
  • 0

#13 rubylin86

rubylin86

    biết lệnh copy

  • Members
  • PipPipPip
  • 110 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 24 September 2011 - 11:01 AM

mà hôm nay ko đi tối về mình điền giúp bạn
  • 0

#14 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 24 September 2011 - 11:10 AM

bạn có thì cho anh em dùng thử được không.viết cao độ tk + vẽ các loại đường đấy luôn hay sao vậy bạn
  • 0

#15 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 01 October 2011 - 04:55 PM

Không biết lisp của bạn rubyline có điền được cao độ thiết kế trong đường cong không nhỉ.Hihi.
  • 0

#16 redsea_tq

redsea_tq

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 01 October 2011 - 05:52 PM

Mình thiết kế tuyến, nhưng bên chủ đầu tư bắt là phải ghi cao độ thiết kế của mỗi cọc lên trên bình đồ. Cao độ thiết kế gồm: cao độ tim, cao độ mép đường, cao độ mép lề...(và dải phân cách nếu có).
Bạn nào có thì post lên dùm!
Cảm ơn nhiều!!!

Cái này có vẻ quen quen, bạn thử tham khảo đường link này xem thế nào nhé:
http://kythuatdothi....ead.php?p=29816
  • 0

#17 vuongvjpnd

vuongvjpnd

    biết vẽ rectang

  • Members
  • PipPip
  • 88 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 14 June 2013 - 03:03 PM




Để điền cao độ thiết kế của lên bình đồ thì cũng đơn giản. Sử dụng Nova thôi, chả cần dùng lisp làm gì.
Đầu tiên dùng lênh CDtext để chọn lần lượt các text cao độ thiết kế trên trắc dọc. lần lượt từng cọc một ta được 1 file dạng *txt.
bước 2 là mở file số liệu của tuyến ra, thay thế cao độ thiên nhiên bằng cao độ thiết kế đã được nhặt ra bởi lệnh CDText ở trên
bước 3 là chạy lại 1 phương án tuyến 2, rồi dùng lệnh điền cao độ cọc DCDC
bước 4 là copy sang past with base point vào bình đồ thôi.

e thấy bài này là dc rồi, đòi hỏi gì mà cao quá thế!!!!


  • 0

#18 hieubodoi

hieubodoi

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 March 2014 - 09:02 AM

Mình gởi file nova (2005) lên luôn.
http://www.cadviet.c...es/2/file12.rar
+File 1: từ cọc 0 đến cọc 10 mình điền cao độ thiết kế (CDTK) của trắc ngang thiết kế lên bình đồ (điền thủ công bằng tay)
Mình muốn nhờ các bạn viết lisp điền được CDTK của tất cả các cọc lên bình đồ
+File 2: file này mình điền cao độ tự nhiên (CDTN) của trắc ngang lên bình đồ
Cái này mình dùng lisp.Mình gởi lisp cho các bạn tham khảo luôn

(defun c:ghi ()
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(setq chu (getreal "\nChieu cao chu <2.0>:"))
(if (= chu nul) (setq chu 2.0))
(setq LOP (tblsearch "LAYER" "Caodo TN"))
(if (= LOP nil)
(command "layer" "n" "CaoDoTN" "c" "2" "CaoDo TN" "")
)
(setvar "clayer" "CaodoTN")
(command "UNDO" "BE")
(setq ss (ssget (list (cons 0 "line") (cons 8 "ENTCOC"))))
(setq i 0)
(repeat (sslength ss)
(setq ent (entget (ssname ss i) (list "TDN")))
(setq P1 (cdr (assoc 10 ent))
P2 (cdr (assoc 11 ent)))
(setq Pm (list (/ (+ (car P1) (car P2)) 2.0)
(/ (+ (cadr P1) (cadr P2)) 2.0)))
(setq goc (angle P1 P2))
(setq goctext (angtos (+ goc (/ pi 2)) 0 4))
(setq sohieu (assoc -3 ent))
(if (/= sohieu nil)
(progn
(setq solieu (cdr (last sohieu)))
(setq len (/ (- (length solieu) 29) 6))
(setq j 29)
(repeat len
(setq cdo (cdr (nth j solieu)))
(setq KC (cdr (nth (+ j 1) solieu)))
(setq P (polar Pm goc KC))
(command "text" "MC" P chu goctext (zero2 (rtos cdo 2 2)))
(setq j (+ j 6))
)
)
)
(setq i (+ i 1))
)
(command "UNDO" "END")
(setvar "osmode" 191)
)

e đang cần lisp này của a nhưng sao e ko chọn được các đối tượng caodotn. a có thể chỉ cách e làm như file 2 của a đc ko!


  • 0